## Intialization

Intialization — Initialization functions

## Synopsis

    void                oil_init_no_optimize                (void);
    void                oil_optimize_all                    (void);
    void                oil_optimize                        (const char *class_name);

## Description

## Details

### oil_init_no_optimize ()

    void                oil_init_no_optimize                (void);

Initialize liboil similar to `oil_init()`, but do not run the profiling stage. This function is mainly useful for internal programs.

### oil_optimize_all ()

    void                oil_optimize_all                    (void);

Optimize all function classes.

### oil_optimize ()

    void                oil_optimize                        (const char *class_name);

Optimize the function class that has the name specified by `class_name`.

`class_name` : | a string